TEEM(1)

NAME
teem-ilk - (I)mage (L)inear Trans(X-->K)forms.

SYNOPSIS
teem-ilk [@file ...] [-i <image>] [-0 <origin>] \fR

DESCRIPTION
/usr/bin/teem-ilk: (I)mage (L)inear Trans(X-->K)forms. Applies linear (homogenous coordinate) transforms to a given image, using the given kernel for resampling.

-t <xform0 ...> [-k <kernel>] [-min <xMin yMin>] [-max <xMax yMax>] \

    [-b <boundary>] [-bg <bg0 bg1 ...>] [-s <xSize ySize>] [-a <avg #>] \ [-o <filename>]

    @file ... = response file(s) containing command-line arguments

-i <image> = input image; default: "-"

-0 <origin> = where to location (0,0) prior to applying transforms.
    o "u:<float>,<float>" locate origin in a unit box [0,1]x[0,1] which covers the original image o "p:<float>,<float>" locate origin at a particular pixel location, in the index space of the image default: "p:0,0"

-t <xform0 ...> = transform(s) to apply to image. Transforms are applied in
    the order in which they appear. o "identity": no geometric transform, just resampling o "translate:x,y": shift image by vector (x,y), as measured in pixels o "rotate:ang": rotate CCW by ang degrees o "scale:xs,ys": scale by xs in X, and ys in Y o "shear:fix,amnt": shear by amnt, keeping fixed the pixels along a direction <fix> degrees from the X axis o "flip:ang": flip along axis an angle <ang> degrees from the X axis o "a,b,tx,c,d,ty": specify the transform explicitly in row-major order (opposite of PostScript) (1 or more 2D transforms)

-k <kernel> = reconstruction kernel; default: "cubic:0,0.5"

-min <xMin yMin> = lower bounding corner of output image. Default (by not
    using this option) is the lower corner of input image. (2 doubles)

-max <xMax yMax> = upper bounding corner of output image. Default (by not
    using this option) is the upper corner of input image. (2 doubles)

-b <boundary> = what to do when sampling outside original image.
    o "bleed": copy values at image border outward o "wrap": do wrap-around on image locations o "pad": use a given background value (via "-bg") default: "bleed"

-bg <bg0 bg1 ...> = background color to use with boundary behavior "pad".

    Defaults to all zeroes. (1 or more floats)

-s <xSize ySize> = For each axis, information about how many samples in
    output: o "x<float>": number of output samples is some scaling of the number input of samples; multiplied by <float> o "<int>": specify exact number of samples (2 sampling specifications) default: "x1 x1"

-a <avg #> = number of averages (if there there is only one rotation)
    (unsigned int); default: "0"

-o <filename> = file to write output nrrd to (string); default: "-"

SEE ALSO
The full documentation for Teem is maintained as a Texinfo manual. If the info and Teem programs are properly installed at your site, the command

    info Teem

should give you access to the complete manual.